Bug 258784 - science/elmerfem: Update to 9.0 and clean Makefile
Summary: science/elmerfem: Update to 9.0 and clean Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://github.com/ElmerCSC/elmerfem/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-29 18:08 UTC by Henrik Gulbrandsen
Modified: 2021-11-16 00:17 UTC (History)
1 user (show)

See Also:


Attachments
science_elmerfem_9.0.diff (7.20 KB, patch)
2021-09-29 18:08 UTC, Henrik Gulbrandsen
no flags Details | Diff
Updated patch from Henrik Gulbrandsen received via e-mail (10.97 KB, patch)
2021-11-15 19:51 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Gulbrandsen 2021-09-29 18:08:41 UTC
Created attachment 228257 [details]
science_elmerfem_9.0.diff

* Update Elmer to the official 9.0 release
* Rearrange Makefile to make portclippy happy
* Try to make the latest portlint happy as well
* Add Portscout filter to avoid missing the next release
Comment 1 Yuri Victorovich freebsd_committer 2021-11-15 18:55:54 UTC
9.0 and current Elmerfem's master isn't compatible with the latest version of opencascade, 7.6.0: https://github.com/ElmerCSC/elmerfem/issues/304
Comment 2 Yuri Victorovich freebsd_committer 2021-11-15 19:51:44 UTC
Created attachment 229524 [details]
Updated patch from Henrik Gulbrandsen received via e-mail
Comment 3 commit-hook freebsd_committer 2021-11-16 00:16:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a9a91e3c1401cff0f2e35c851eda669ea7612686

commit a9a91e3c1401cff0f2e35c851eda669ea7612686
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-11-16 00:09:45 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-11-16 00:16:01 +0000

    science/elmerfem: Update 8.4.20200708 -> 9.0

    PR:             258784
    Original patch submitted by:    henrik@gulbra.net (maintainer)

 science/elmerfem/Makefile                          | 49 +++++++++++--------
 science/elmerfem/distinfo                          |  6 +--
 .../patch-ElmerGUI_Application_cad_cadview.cpp     | 55 +++++++++++++++++++++-
 ...dules_FindPackageHandleStandardArgs.cmake (new) | 10 ++++
 .../files/patch-elmergrid_src_CMakeLists.txt       | 12 ++---
 science/elmerfem/pkg-plist                         |  8 ++++
 6 files changed, 111 insertions(+), 29 deletions(-)
Comment 4 Yuri Victorovich freebsd_committer 2021-11-16 00:17:23 UTC
Committed with small changes.

Thanks,
Yuri